[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# EncodeDateTime

Encodes a TDateTime value from all its parts

## Declaration

Source position: dateutil.inc line 317

`function EncodeDateTime(`
`const AYear: Word;`
`const AMonth: Word;`
`const ADay: Word;`
`const AHour: Word;`
`const AMinute: Word;`
`const ASecond: Word;`
`const AMilliSecond: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year
`AMonth` |  | Month
`ADay` |  | Day of the month
`AHour` |  | Hour of the day
`AMinute` |  | Minutes
`ASecond` |  | Seconds
`AMilliSecond` |  | Milliseconds

## Function result

TDateTime value representing the complete timestamp

## Description

EncodeDateTime encodes the values AYear AMonth, ADay,AHour, AMinute,ASecond and AMilliSecond to a date/time value and returns this value.

For an example, see DecodeDateTime.

## Errors

If any of the arguments is not valid, then an EConvertError exception is raised.

## See also

DecodeDateTime |  | Decode a TDateTime value in a date and time value
EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a TDateTime value
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
EncodeDateDay |  | Encodes a year and day of year to a TDateTime value
TryEncodeDateTime |  | Encode a Year, Month, Day, Hour, minute, seconds, milliseconds tuplet to a TDateTime value
TryEncodeDateWeek |  | Encode a year, week and day of week triplet to a TDateTime value
TryEncodeDateDay |  | Encode a year and day of year to a TDateTime value
TryEncodeDateMonthWeek |  | Encode a year, month, week of month and day of week to a TDateTime value